Bug 438949 - RHEL5.2 Release Notes: Frysk is still tech preview
RHEL5.2 Release Notes: Frysk is still tech preview
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: redhat-release-notes (Show other bugs)
5.2
All Linux
low Severity low
: rc
: ---
Assigned To: Ryan Lerch
Joshua Wulf
: Documentation
Depends On:
Blocks: RHEL5u2_relnotes
  Show dependency treegraph
 
Reported: 2008-03-26 00:46 EDT by Don Domingo
Modified: 2014-10-19 18:56 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
(all architectures) The goal of the frysk project is to create an intelligent, distributed, always-on system monitoring and debugging tool that allows developers and system administrators to: * monitor running processes and threads (including creation and destruction events) * monitor the use of locking primitives * expose deadlocks * gather data * debug any given process by choosing it from a list or allowing frysk to open a source code (or other) window on a process that is crashing or misbehaving This updated version of frysk includes the following new utilities: * fauxv * fdebuginfo * fdebugrpm * ferror * fexe * fmaps In addition, ftrace can now perform signal and function symbol tracing. In previous releases, ftrace could only perform system call tracing. frysk was introduced in Red Hat Enterprise Linux 5, and is still included in this release as a Technology Preview. For more information about frysk, refer to http://sources.redhat.com/frysk/.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-23 20:02:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Don Domingo 2008-03-26 00:46:08 EDT
Adding to RHEL5.2 release notes under "Technology Previews":

<quote>
Frysk

    %%% https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id= %%%

    The goal of the frysk project is to create an intelligent, distributed,
always-on system monitoring and debugging tool that allows developers and system
administrators to:

        *

          monitor running processes and threads (including creation and
destruction events)
        *

          monitor the use of locking primitives
        *

          expose deadlocks
        *

          gather data
        *

          debug any given process by choosing it from a list or allowing frysk
to open a source code (or other) window on a process that is crashing or misbehaving

    This updated version of frysk includes the following new utilities:

        * fauxv
        * fdebuginfo
        * fdebugrpm
        * ferror
        * fexe
        * fmaps

    In addition to this, ftrace can now perform signal and function symbol
tracing. In previous releases, ftrace could only perform system call tracing.

    frysk was introduced in Red Hat Enterprise Linux 5, and is still included in
this release as a Technology Preview. For more information about frysk, refer to
http://sources.redhat.com/frysk/.
</quote>

please advise if any further revisions are required. thanks!
Comment 1 Don Domingo 2008-04-01 22:16:08 EDT
Hi,
the RHEL5.2 release notes will be dropped to translation on April 15, 2008, at
which point no further additions or revisions will be entertained.

a mockup of the RHEL5.2 release notes can be viewed at the following link:
http://intranet.corp.redhat.com/ic/intranet/RHEL5u2relnotesmockup.html

please use the aforementioned link to verify if your bugzilla is already in the
release notes (if it needs to be). each item in the release notes contains a
link to its original bug; as such, you can search through the release notes by
bug number.

Cheers,
Don
Comment 2 Ryan Lerch 2008-08-07 00:45:53 EDT
Tracking this bug for the Red Hat Enterprise Linux 5.3 Release Notes. 

This Release Note is currently located in the Technology Previews section.
Comment 3 Ryan Lerch 2008-08-07 00:45:53 EDT
Release note added. If any revisions are required, please set the 
"requires_release_notes" flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.
Comment 4 Eric Bachalo 2008-10-17 02:22:31 EDT
Frysk package has been removed from RHEL 5.3  and the libgtk-java package which was originally included for frysk has been deprecated.  Please replace all Frysk documentation in release notes with:

---------------------------------------------------
Frysk
    
The Frysk packages is removed from the RHEL 5.3 release.  Red Hat has decided that obtaining the goal of improved C/C++ debugging would be more quickly accomplished by devoting development resources to the GDB project.


Libgtk-java

This package is deprecated and will likely be removed in future releases.  If this package is a requirement for your development or infrastructure please inform your support representative.

---------------------------------------------------
Comment 5 Ryan Lerch 2008-10-22 19:37:17 EDT
removed the Frysk note from the 5.3 release notes.

Note You need to log in before you can comment on or make changes to this bug.